<?php
$tdataopening_balance_details = array();
$tdataopening_balance_details[".searchableFields"] = array();
$tdataopening_balance_details[".ShortName"] = "opening_balance_details";
$tdataopening_balance_details[".OwnerID"] = "";
$tdataopening_balance_details[".OriginalTable"] = "payments";


$tdataopening_balance_details[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list1\",\"list\",\"list_ob\"],\"search\":[\"search\"]}" );
$tdataopening_balance_details[".originalPagesByType"] = $tdataopening_balance_details[".pagesByType"];
$tdataopening_balance_details[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list1\",\"list\",\"list_ob\"],\"search\":[\"search\"]}" ) );
$tdataopening_balance_details[".originalPages"] = $tdataopening_balance_details[".pages"];
$tdataopening_balance_details[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list1\",\"search\":\"search\"}" );
$tdataopening_balance_details[".originalDefaultPages"] = $tdataopening_balance_details[".defaultPages"];

//	field labels
$fieldLabelsopening_balance_details = array();
$fieldToolTipsopening_balance_details = array();
$pageTitlesopening_balance_details = array();
$placeHoldersopening_balance_details = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsopening_balance_details["English"] = array();
	$fieldToolTipsopening_balance_details["English"] = array();
	$placeHoldersopening_balance_details["English"] = array();
	$pageTitlesopening_balance_details["English"] = array();
	$fieldLabelsopening_balance_details["English"]["id"] = "Id";
	$fieldToolTipsopening_balance_details["English"]["id"] = "";
	$placeHoldersopening_balance_details["English"]["id"] = "";
	$fieldLabelsopening_balance_details["English"]["sales_id"] = "Sales Id";
	$fieldToolTipsopening_balance_details["English"]["sales_id"] = "";
	$placeHoldersopening_balance_details["English"]["sales_id"] = "";
	$fieldLabelsopening_balance_details["English"]["type"] = "Type";
	$fieldToolTipsopening_balance_details["English"]["type"] = "";
	$placeHoldersopening_balance_details["English"]["type"] = "";
	$fieldLabelsopening_balance_details["English"]["amount"] = "Amount";
	$fieldToolTipsopening_balance_details["English"]["amount"] = "";
	$placeHoldersopening_balance_details["English"]["amount"] = "";
	$fieldLabelsopening_balance_details["English"]["cheque_number"] = "Cheque Number";
	$fieldToolTipsopening_balance_details["English"]["cheque_number"] = "";
	$placeHoldersopening_balance_details["English"]["cheque_number"] = "";
	$fieldLabelsopening_balance_details["English"]["hide"] = "Hide";
	$fieldToolTipsopening_balance_details["English"]["hide"] = "";
	$placeHoldersopening_balance_details["English"]["hide"] = "";
	$fieldLabelsopening_balance_details["English"]["status"] = "Status";
	$fieldToolTipsopening_balance_details["English"]["status"] = "";
	$placeHoldersopening_balance_details["English"]["status"] = "";
	$fieldLabelsopening_balance_details["English"]["opening_balance_id"] = "Opening Balance Id";
	$fieldToolTipsopening_balance_details["English"]["opening_balance_id"] = "";
	$placeHoldersopening_balance_details["English"]["opening_balance_id"] = "";
	$fieldLabelsopening_balance_details["English"]["outlet"] = "Outlet";
	$fieldToolTipsopening_balance_details["English"]["outlet"] = "";
	$placeHoldersopening_balance_details["English"]["outlet"] = "";
	$fieldLabelsopening_balance_details["English"]["cheque_date"] = "Cheque Date";
	$fieldToolTipsopening_balance_details["English"]["cheque_date"] = "";
	$placeHoldersopening_balance_details["English"]["cheque_date"] = "";
	$fieldLabelsopening_balance_details["English"]["date_time"] = "Date Time";
	$fieldToolTipsopening_balance_details["English"]["date_time"] = "";
	$placeHoldersopening_balance_details["English"]["date_time"] = "";
	$fieldLabelsopening_balance_details["English"]["user"] = "User";
	$fieldToolTipsopening_balance_details["English"]["user"] = "";
	$placeHoldersopening_balance_details["English"]["user"] = "";
	$fieldLabelsopening_balance_details["English"]["status_2"] = "Status 2";
	$fieldToolTipsopening_balance_details["English"]["status_2"] = "";
	$placeHoldersopening_balance_details["English"]["status_2"] = "";
	if (count($fieldToolTipsopening_balance_details["English"]))
		$tdataopening_balance_details[".isUseToolTips"] = true;
}


	$tdataopening_balance_details[".NCSearch"] = true;



$tdataopening_balance_details[".shortTableName"] = "opening_balance_details";
$tdataopening_balance_details[".nSecOptions"] = 0;

$tdataopening_balance_details[".mainTableOwnerID"] = "";
$tdataopening_balance_details[".entityType"] = 1;
$tdataopening_balance_details[".connId"] = "test2_at_localhost";


$tdataopening_balance_details[".strOriginalTableName"] = "payments";

	



$tdataopening_balance_details[".showAddInPopup"] = false;

$tdataopening_balance_details[".showEditInPopup"] = false;

$tdataopening_balance_details[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataopening_balance_details[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataopening_balance_details[".listAjax"] = false;
//	temporary
$tdataopening_balance_details[".listAjax"] = false;

	$tdataopening_balance_details[".audit"] = true;

	$tdataopening_balance_details[".locking"] = false;


$pages = $tdataopening_balance_details[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataopening_balance_details[".edit"] = true;
	$tdataopening_balance_details[".afterEditAction"] = 1;
	$tdataopening_balance_details[".closePopupAfterEdit"] = 1;
	$tdataopening_balance_details[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataopening_balance_details[".add"] = true;
$tdataopening_balance_details[".afterAddAction"] = 1;
$tdataopening_balance_details[".closePopupAfterAdd"] = 1;
$tdataopening_balance_details[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataopening_balance_details[".list"] = true;
}



$tdataopening_balance_details[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataopening_balance_details[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataopening_balance_details[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataopening_balance_details[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataopening_balance_details[".printFriendly"] = true;
}



$tdataopening_balance_details[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataopening_balance_details[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataopening_balance_details[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataopening_balance_details[".isUseAjaxSuggest"] = true;

$tdataopening_balance_details[".rowHighlite"] = true;



																																																																																																						

$tdataopening_balance_details[".ajaxCodeSnippetAdded"] = false;

$tdataopening_balance_details[".buttonsAdded"] = false;

$tdataopening_balance_details[".addPageEvents"] = false;

// use timepicker for search panel
$tdataopening_balance_details[".isUseTimeForSearch"] = false;


$tdataopening_balance_details[".badgeColor"] = "cfae83";


$tdataopening_balance_details[".allSearchFields"] = array();
$tdataopening_balance_details[".filterFields"] = array();
$tdataopening_balance_details[".requiredSearchFields"] = array();

$tdataopening_balance_details[".googleLikeFields"] = array();
$tdataopening_balance_details[".googleLikeFields"][] = "id";
$tdataopening_balance_details[".googleLikeFields"][] = "sales_id";
$tdataopening_balance_details[".googleLikeFields"][] = "type";
$tdataopening_balance_details[".googleLikeFields"][] = "amount";
$tdataopening_balance_details[".googleLikeFields"][] = "cheque_number";
$tdataopening_balance_details[".googleLikeFields"][] = "cheque_date";
$tdataopening_balance_details[".googleLikeFields"][] = "hide";
$tdataopening_balance_details[".googleLikeFields"][] = "status";
$tdataopening_balance_details[".googleLikeFields"][] = "opening_balance_id";
$tdataopening_balance_details[".googleLikeFields"][] = "outlet";
$tdataopening_balance_details[".googleLikeFields"][] = "date_time";
$tdataopening_balance_details[".googleLikeFields"][] = "user";
$tdataopening_balance_details[".googleLikeFields"][] = "status_2";



$tdataopening_balance_details[".tableType"] = "list";

$tdataopening_balance_details[".printerPageOrientation"] = 0;
$tdataopening_balance_details[".nPrinterPageScale"] = 100;

$tdataopening_balance_details[".nPrinterSplitRecords"] = 40;

$tdataopening_balance_details[".geocodingEnabled"] = false;










$tdataopening_balance_details[".pageSize"] = 20;

$tdataopening_balance_details[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataopening_balance_details[".strOrderBy"] = $tstrOrderBy;

$tdataopening_balance_details[".orderindexes"] = array();


$tdataopening_balance_details[".sqlHead"] = "SELECT id,  	sales_id,  	`type`,  	amount,  	cheque_number,  	cheque_date,  	hide,  	status,  	opening_balance_id,  	outlet,  	date_time,  	`user`,  	status_2";
$tdataopening_balance_details[".sqlFrom"] = "FROM payments";
$tdataopening_balance_details[".sqlWhereExpr"] = "";
$tdataopening_balance_details[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataopening_balance_details[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataopening_balance_details[".arrGroupsPerPage"] = $arrGPP;

$tdataopening_balance_details[".highlightSearchResults"] = true;

$tableKeysopening_balance_details = array();
$tableKeysopening_balance_details[] = "id";
$tdataopening_balance_details[".Keys"] = $tableKeysopening_balance_details;


$tdataopening_balance_details[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["id"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "id";
//	sales_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "sales_id";
	$fdata["GoodName"] = "sales_id";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","sales_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "sales_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sales_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "credit_sales";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"amount", 'lookupF'=>"difect");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["sales_id"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "sales_id";
//	type
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "type";
	$fdata["GoodName"] = "type";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","type");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "type";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`type`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["type"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "type";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["amount"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "amount";
//	cheque_number
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "cheque_number";
	$fdata["GoodName"] = "cheque_number";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","cheque_number");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cheque_number";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cheque_number";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["cheque_number"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "cheque_number";
//	cheque_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cheque_date";
	$fdata["GoodName"] = "cheque_date";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","cheque_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "cheque_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cheque_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["cheque_date"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "cheque_date";
//	hide
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "hide";
	$fdata["GoodName"] = "hide";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","hide");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "hide";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "hide";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["hide"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "hide";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["status"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "status";
//	opening_balance_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "opening_balance_id";
	$fdata["GoodName"] = "opening_balance_id";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","opening_balance_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "opening_balance_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "opening_balance_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["opening_balance_id"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "opening_balance_id";
//	outlet
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "outlet";
	$fdata["GoodName"] = "outlet";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","outlet");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "country";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["outlet"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "outlet";
//	date_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "date_time";
	$fdata["GoodName"] = "date_time";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","date_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "date_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["date_time"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "date_time";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["user"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "user";
//	status_2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "status_2";
	$fdata["GoodName"] = "status_2";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("opening_balance_details","status_2");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "status_2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status_2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataopening_balance_details["status_2"] = $fdata;
		$tdataopening_balance_details[".searchableFields"][] = "status_2";


$tables_data["opening_balance_details"]=&$tdataopening_balance_details;
$field_labels["opening_balance_details"] = &$fieldLabelsopening_balance_details;
$fieldToolTips["opening_balance_details"] = &$fieldToolTipsopening_balance_details;
$placeHolders["opening_balance_details"] = &$placeHoldersopening_balance_details;
$page_titles["opening_balance_details"] = &$pageTitlesopening_balance_details;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["opening_balance_details"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["opening_balance_details"] = array();



	
				$strOriginalDetailsTable="opening_balance";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="opening_balance";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "opening_balance";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["opening_balance_details"][0] = $masterParams;
				$masterTablesData["opening_balance_details"][0]["masterKeys"] = array();
	$masterTablesData["opening_balance_details"][0]["masterKeys"][]="id";
				$masterTablesData["opening_balance_details"][0]["masterKeys"][]="date_and_time";
				$masterTablesData["opening_balance_details"][0]["detailKeys"] = array();
	$masterTablesData["opening_balance_details"][0]["detailKeys"][]="opening_balance_id";
				$masterTablesData["opening_balance_details"][0]["detailKeys"][]="date_time";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_opening_balance_details()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	sales_id,  	`type`,  	amount,  	cheque_number,  	cheque_date,  	hide,  	status,  	opening_balance_id,  	outlet,  	date_time,  	`user`,  	status_2";
$proto0["m_strFrom"] = "FROM payments";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "opening_balance_details";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "sales_id",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto8["m_sql"] = "sales_id";
$proto8["m_srcTableName"] = "opening_balance_details";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "type",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto10["m_sql"] = "`type`";
$proto10["m_srcTableName"] = "opening_balance_details";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto12["m_sql"] = "amount";
$proto12["m_srcTableName"] = "opening_balance_details";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "cheque_number",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto14["m_sql"] = "cheque_number";
$proto14["m_srcTableName"] = "opening_balance_details";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "cheque_date",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto16["m_sql"] = "cheque_date";
$proto16["m_srcTableName"] = "opening_balance_details";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "hide",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto18["m_sql"] = "hide";
$proto18["m_srcTableName"] = "opening_balance_details";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto20["m_sql"] = "status";
$proto20["m_srcTableName"] = "opening_balance_details";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "opening_balance_id",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto22["m_sql"] = "opening_balance_id";
$proto22["m_srcTableName"] = "opening_balance_details";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto24["m_sql"] = "outlet";
$proto24["m_srcTableName"] = "opening_balance_details";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "date_time",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto26["m_sql"] = "date_time";
$proto26["m_srcTableName"] = "opening_balance_details";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto28["m_sql"] = "`user`";
$proto28["m_srcTableName"] = "opening_balance_details";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "status_2",
	"m_strTable" => "payments",
	"m_srcTableName" => "opening_balance_details"
));

$proto30["m_sql"] = "status_2";
$proto30["m_srcTableName"] = "opening_balance_details";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto32=array();
$proto32["m_link"] = "SQLL_MAIN";
			$proto33=array();
$proto33["m_strName"] = "payments";
$proto33["m_srcTableName"] = "opening_balance_details";
$proto33["m_columns"] = array();
$proto33["m_columns"][] = "id";
$proto33["m_columns"][] = "sales_id";
$proto33["m_columns"][] = "type";
$proto33["m_columns"][] = "amount";
$proto33["m_columns"][] = "cheque_number";
$proto33["m_columns"][] = "cheque_date";
$proto33["m_columns"][] = "hide";
$proto33["m_columns"][] = "status";
$proto33["m_columns"][] = "opening_balance_id";
$proto33["m_columns"][] = "outlet";
$proto33["m_columns"][] = "date_time";
$proto33["m_columns"][] = "user";
$proto33["m_columns"][] = "status_2";
$obj = new SQLTable($proto33);

$proto32["m_table"] = $obj;
$proto32["m_sql"] = "payments";
$proto32["m_alias"] = "";
$proto32["m_srcTableName"] = "opening_balance_details";
$proto34=array();
$proto34["m_sql"] = "";
$proto34["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto34["m_column"]=$obj;
$proto34["m_contained"] = array();
$proto34["m_strCase"] = "";
$proto34["m_havingmode"] = false;
$proto34["m_inBrackets"] = false;
$proto34["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto34);

$proto32["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto32);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="opening_balance_details";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_opening_balance_details = createSqlQuery_opening_balance_details();


	
		;

													

$tdataopening_balance_details[".sqlquery"] = $queryData_opening_balance_details;



$tableEvents["opening_balance_details"] = new eventsBase;
$tdataopening_balance_details[".hasEvents"] = false;

?>